org.richfaces.component

## Enum UIPush.Properties

- java.lang.Object
- - java.lang.Enum<UIPush.Properties>
  - - org.richfaces.component.UIPush.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIPush.Properties>
  Enclosing class:
    UIPush

      protected static enum UIPush.Properties
      extends Enum<UIPush.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `address`
    `ondataavailable`
    `onerror`
    `onsubscribed`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIPush.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIPush.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### address

          public static final UIPush.Properties address

    - #### ondataavailable

          public static final UIPush.Properties ondataavailable

    - #### onerror

          public static final UIPush.Properties onerror

    - #### onsubscribed

          public static final UIPush.Properties onsubscribed

  - ### Method Detail

    - #### values

          public static UIPush.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIPush.Properties c : UIPush.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIPush.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.